/* SPDX-License-Identifier: MIT */
/*
 * Copyright © 2021 Intel Corporation
 */
#ifndef _I915_DRM_LOCAL_H_
#define _I915_DRM_LOCAL_H_

#if defined(__cplusplus)
extern "C" {
#endif

/*
 * It is necessary on occasion to add uapi declarations to IGT before they
 * appear in imported kernel uapi headers. This header is provided for this
 * purpose.

 * Early uapi declarations should be added here exactly as they are
 * expected to appear in the kernel uapi headers, i.e. without the LOCAL_
 * or local_ prefix and without any #ifndef's. Attempt should be made to
 * clean these up when kernel uapi headers are sync'd.
 */
#define I915_ENGINE_CLASS_COMPUTE 4

#define DRM_I915_QUERY_GEOMETRY_SUBSLICES      6

#define DRM_I915_PERF_PROP_OA_ENGINE_CLASS	9
#define DRM_I915_PERF_PROP_OA_ENGINE_INSTANCE	10

#if defined(__cplusplus)
}
#endif

#endif /* _I915_DRM_LOCAL_H_ */
